Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.pastry.socket
Class SocketSourceRouteManager.AddressManager

    java.lang.Object
      rice.pastry.socket.SocketSourceRouteManager.AddressManager

Enclosing class:
  SocketSourceRouteManager

protected class SocketSourceRouteManager.AddressManager
extends java.lang.Object

Internal class which is tasked with maintaining the status of a single remote address. This class is in charge of all source routes to that address, as well as declaring liveness/death of this address

Version:
  $Id: pretty.settings,v 1.3 2005/03/11 20:22:33 jeffh Exp $
Author:
  jeffh

Field Summary
`protected EpochInetSocketAddress` | `address` DESCRIBE THE FIELD
`protected SourceRoute` | `best` DESCRIBE THE FIELD
`protected java.util.HashSet` | `deadRoutes` DESCRIBE THE FIELD
`protected int` | `liveness` DESCRIBE THE FIELD
`protected java.util.HashSet` | `pendingRoutes` DESCRIBE THE FIELD
`protected int` | `proximity` DESCRIBE THE FIELD
`protected java.util.Vector` | `queue` DESCRIBE THE FIELD

Constructor Summary
`SocketSourceRouteManager.AddressManager(EpochInetSocketAddress address, boolean search)` Constructor, given an address

Method Summary
`void` | `checkLiveness()` Method which suggests a ping to the remote node.
`protected void` | `checkRoute(SourceRoute route)` Method which checks to see if the given address is dead
`int` | `getLiveness()` Method which returns the last cached liveness value for the given address.
`protected void` | `markAlive(SourceRoute route)` This method should be called when a known route is declared alive.
`protected void` | `markDead(SourceRoute route)` This method should be called when a known route is declared dead.
`protected void` | `markDeadForever()` This method should be called when a known node is declared dead - this is ONLY called when a new epoch of that node is detected.
`protected void` | `markProximity(SourceRoute route, int proximity)` This method should be called when a known route has its proximity updated
`protected void` | `markSuspected(SourceRoute route)` This method should be called when a known route is declared suspected.
`void` | `ping()` Method which suggests a ping to the remote node.
`int` | `proximity()` Method which returns the last cached proximity value for the given address.
`void` | `send(Message message)` Method which enqueues a message to this address
`protected void` | `setAlive()` Internal method which marks this address as being alive.
`protected void` | `setDead()` Internal method which marks this address as being dead.
`protected void` | `setDeadForever()` Internal method which marks this address as being dead.
`protected void` | `setSuspected()` Internal method which marks this address as being suspected.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### address

    protected EpochInetSocketAddress address

  DESCRIBE THE FIELD

### best

    protected SourceRoute best

  DESCRIBE THE FIELD

### queue

    protected java.util.Vector queue

  DESCRIBE THE FIELD

### deadRoutes

    protected java.util.HashSet deadRoutes

  DESCRIBE THE FIELD

### pendingRoutes

    protected java.util.HashSet pendingRoutes

  DESCRIBE THE FIELD

### liveness

    protected int liveness

  DESCRIBE THE FIELD

### proximity

    protected int proximity

  DESCRIBE THE FIELD

Constructor Detail

### SocketSourceRouteManager.AddressManager

    public SocketSourceRouteManager.AddressManager(EpochInetSocketAddress address,
                                                   boolean search)

  Constructor, given an address

Parameters:
  `address` - DESCRIBE THE PARAMETER
  `search` - DESCRIBE THE PARAMETER

Method Detail

### getLiveness

    public int getLiveness()

  Method which returns the last cached liveness value for the given address. If there is no cached value, then true is returned.

  Returns:
    The Alive value

### setAlive

    protected void setAlive()

  Internal method which marks this address as being alive. If we were dead before, it sends an update out to the observers.

### setSuspected

    protected void setSuspected()

  Internal method which marks this address as being suspected.

### setDead

    protected void setDead()

  Internal method which marks this address as being dead. If we were alive or suspected before, it sends an update out to the observers.

### setDeadForever

    protected void setDeadForever()

  Internal method which marks this address as being dead. If we were alive or suspected before, it sends an update out to the observers.

### markAlive

    protected void markAlive(SourceRoute route)

  This method should be called when a known route is declared alive.

  Parameters:
    `route` - The now-live route

### markSuspected

    protected void markSuspected(SourceRoute route)

  This method should be called when a known route is declared suspected.

  Parameters:
    `route` - The now-suspected route

### markDead

    protected void markDead(SourceRoute route)

  This method should be called when a known route is declared dead.

  Parameters:
    `route` - The now-dead route

### markDeadForever

    protected void markDeadForever()

  This method should be called when a known node is declared dead - this is ONLY called when a new epoch of that node is detected. Note that this method is silent - no checks are done. Caveat emptor.

### markProximity

    protected void markProximity(SourceRoute route,
                                 int proximity)

  This method should be called when a known route has its proximity updated

  Parameters:
    `route` - The route
    `proximity` - The proximity

### send

    public void send(Message message)

  Method which enqueues a message to this address

  Parameters:
    `message` - The message to send

### ping

    public void ping()

  Method which suggests a ping to the remote node.

### checkLiveness

    public void checkLiveness()

  Method which suggests a ping to the remote node.

### proximity

    public int proximity()

  Method which returns the last cached proximity value for the given address. If there is no cached value, then DEFAULT_PROXIMITY is returned.

  Returns:
    The ping value to the remote address

### checkRoute

    protected void checkRoute(SourceRoute route)

  Method which checks to see if the given address is dead

  Parameters:
    `route` - The route to check

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.